Forum: Ruby on Rails Upgrade guide for 2.0.2 to 2.2.2

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
44391f94143d129bdfdcd8b52aa51674?d=identicon&s=25 Schalk Neethling (Guest)
on 2008-11-22 15:28
(Received via mailing list)
Hey all,

I believe I have upgraded my Rails version from 2.0.2 to 2.2.2 ;)
However, I am experiencing some problems with an app that was built on
2.0.2. Can anyone suggest a resource where I can learn more about how to
properly upgrade from 2.0.2 to 2.2.2

I have read some of the what has changed stuff but I get some weird
errors that I reckon relates to something else like for example a simple
line such as the following:

@about = Content.find_by_permalink('about')

throwing and error such as the following:

ArgumentError (NULL pointer given):
     (eval):3:in `each_hash'
     (eval):3:in `all_hashes'

C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/mysql_adapter.rb:564:in
`select'

Thank you in advance,
Schalk
81b61875e41eaa58887543635d556fca?d=identicon&s=25 Frederick Cheung (Guest)
on 2008-11-22 15:51
(Received via mailing list)
On Nov 22, 2:27 pm, Schalk Neethling <volume4.sch...@gmail.com> wrote:
> Hey all,
>
> I believe I have upgraded my Rails version from 2.0.2 to 2.2.2 ;)
> However, I am experiencing some problems with an app that was built on
> 2.0.2. Can anyone suggest a resource where I can learn more about how to
> properly upgrade from 2.0.2 to 2.2.2
>
You'd probably find it easier to go to 2.1.2 first, find/fix
deprecated stuff and then move to 2.2.2

Fred
This topic is locked and can not be replied to.